#version 120

#extension GL_OES_EGL_image_external : require
precision mediump float;
varying vec2 v_texCoord;
uniform samplerExternalOES s_texture;

void main() {
    vec4 rgbaColor = texture2D(s_texture, v_texCoord);
    if (distance(rgbaColor.rgb, vec4(0.0, 0.0, 0.0, 0.0).rgb) < 0.05) {
        gl_FragColor = vec4(rgbaColor.r, rgbaColor.g, rgbaColor.b, 0.0);
    } else {
        gl_FragColor = rgbaColor;
    }
//    gl_FragColor = texture2D( s_texture, v_texCoord );
}